VBOXHEADLESS(1)

NAME
VBoxHeadless - x86 virtualization solution

DESCRIPTION
Oracle VM VirtualBox Headless Interface 7.0.6 Copyright © 2008-2023 Oracle and/or its affiliates

  Usage:

-s, -startvm, --startvm <name|uuid>
    Start given VM (required argument)

-v, -vrde, --vrde on|off|config
    Enable or disable the VRDE server or don't change the setting (default)

-e, -vrdeproperty, --vrdeproperty <name=[value]> Set a VRDE property:
    "TCP/Ports" - comma-separated list of

ports the VRDE server can bind to; dash
    between two port numbers specifies range

"TCP/Address" - interface IP the VRDE
    server will bind to

--settingspw <pw>
    Specify the VirtualBox settings password

--settingspwfile <file>
    Specify a file containing the VirtualBox settings password

--password <file>|-
    Specify the VM password. Either file containing the VM password or "-" to read it from console

--password-id <id>
    Specify the password id for the VM password

-start-paused, --start-paused
    Start the VM in paused state

-c, -record, --record
    Record the VM screen output to a file

-w, --videowidth
    Video frame width when recording

-h, --videoheight
    Video frame height when recording

-r, --videobitrate
    Recording bit rate when recording

-f, --filename
    File name when recording. The codec used will be chosen based on file extension